{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/bdbs/replica_sources-alerts",
  "title": "Database replica sources alerts requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/bdbs/replica_sources-alerts/",
  "summary": "Replica source alert requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "c461d85fa049a64bd09cf4799ee24af387dfc1ed698a262905c39f27caed8536",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [GET](#get-all-bdbs-replica-sources-alerts) | `/v1/bdbs/replica_sources/alerts` | Get all replica sources alert states for all BDBs |\n| [GET](#get-bdbs-replica-sources-alerts) | `/v1/bdbs/replica_sources/alerts/{uid}` | Get all replica sources alert states for a BDB |\n| [GET](#get-bdbs-replica_source-all-alerts) | `/v1/bdbs/replica_sources/alerts/{uid}/{replica_src_id}` | Get all alert states for a replica source |\n| [GET](#get-bdbs-replica-source-alert) | `/v1/bdbs/replica_sources/alerts/{uid}/{replica_src_id}/{alert}` | Get a replica source alert state |"
    },
    {
      "id": "get-all-bdbs-replica-sources-alerts",
      "title": "Get all DBs replica sources alert states",
      "role": "content",
      "text": "GET /v1/bdbs/replica_sources/alerts\n\nGet all alert states for all replica sources of all BDBs.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_all_bdbs_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_all_bdbs_alerts) |"
    },
    {
      "id": "get-all-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/replica_sources/alerts \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |"
    },
    {
      "id": "get-all-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of alert UIDs and the alerts states for each BDB.\n\nSee [REST API alerts overview](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) for a description of the alert state object.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-all-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |"
    },
    {
      "id": "get-bdbs-replica-sources-alerts",
      "title": "Get DB replica source alert states",
      "role": "content",
      "text": "GET /v1/bdbs/replica_sources/alerts/{int: uid}\n\nGet all alert states for all replica sources of a specific bdb.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_bdb_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_alerts) |"
    },
    {
      "id": "get-request-all-replica-alerts",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/replica_sources/alerts/1 \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database |"
    },
    {
      "id": "get-response-all-replica-alerts",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of [alert objects](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) and their states.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes-all-replica-alerts",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified bdb does not exist |"
    },
    {
      "id": "get-bdbs-replica_source-all-alerts",
      "title": "Get replica source alert states",
      "role": "content",
      "text": "GET /v1/bdbs/replica_sources/alerts/{int: uid}/{int: replica_src_id}\n\nGet all alert states for a specific replica source of a bdb.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_bdb_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_alerts) |"
    },
    {
      "id": "get-request-replica-alerts",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/replica_sources/alerts/1/2 \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database |\n| replica_src_id | integer | The ID of the replica source in this BDB |"
    },
    {
      "id": "get-response-replica-alerts",
      "title": "Response",
      "role": "returns",
      "text": "Returns a hash of [alert objects](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert) and their states.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes-replica-alerts",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified bdb does not exist |"
    },
    {
      "id": "get-bdbs-replica-source-alert",
      "title": "Get replica source alert state",
      "role": "content",
      "text": "GET /v1/bdbs/replica_sources/alerts/{int: uid}/{int: replica_src_id}/{alert}\n\nGet a replica source alert state of a specific bdb.\n\n#### Required permissions\n\n| Permission name |\n|-----------------|\n| [view_bdb_alerts](https://redis.io/docs/latest/operate/rs/references/rest-api/permissions#view_bdb_alerts) |"
    },
    {
      "id": "get-request-alert",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tGET /v1/bdbs/replica_sources/alerts/1/2/replica_src_syncer_connection_error \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |\n\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| uid | integer | The unique ID of the database |\n| replica_src_id | integer | The ID of the replica source in this BDB |\n| alert | string | The alert name |"
    },
    {
      "id": "get-response-alert",
      "title": "Response",
      "role": "returns",
      "text": "Returns an [alert state object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/alert).\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "get-status-codes-alert",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [400 Bad Request](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1) | Bad request |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Specified alert or bdb does not exist |"
    }
  ],
  "examples": [
    {
      "id": "get-all-response-ex0",
      "language": "json",
      "code": "{\n    \"1\": {\n        \"replica_src_syncer_connection_error\": {\n            \"enabled\": true,\n            \"state\": true,\n            \"threshold\": \"80\",\n            \"change_time\": \"2014-08-29T11:19:49Z\",\n            \"severity\": \"WARNING\",\n            \"change_value\": {\n                \"state\": true,\n                \"threshold\": \"80\",\n                \"memory_util\": 81.2\n            }\n        },\n        \"...\"\n    },\n    \"...\"\n}",
      "section_id": "get-all-response"
    },
    {
      "id": "get-response-all-replica-alerts-ex0",
      "language": "json",
      "code": "{\n    \"replica_src_syncer_connection_error\": {\n        \"enabled\": true,\n        \"state\": true,\n        \"threshold\": \"80\",\n        \"severity\": \"WARNING\",\n        \"change_time\": \"2014-08-29T11:19:49Z\",\n        \"change_value\": {\n            \"state\": true,\n            \"threshold\": \"80\",\n            \"memory_util\": 81.2\n        }\n    },\n    \"...\"\n}",
      "section_id": "get-response-all-replica-alerts"
    },
    {
      "id": "get-response-replica-alerts-ex0",
      "language": "json",
      "code": "{\n    \"replica_src_syncer_connection_error\": {\n        \"enabled\": true,\n        \"state\": true,\n        \"threshold\": \"80\",\n        \"severity\": \"WARNING\",\n        \"change_time\": \"2014-08-29T11:19:49Z\",\n        \"change_value\": {\n            \"state\": true,\n            \"threshold\": \"80\",\n            \"memory_util\": 81.2\n        }\n    },\n    \"...\"\n}",
      "section_id": "get-response-replica-alerts"
    },
    {
      "id": "get-response-alert-ex0",
      "language": "json",
      "code": "{\n    \"enabled\": true,\n    \"state\": true,\n    \"threshold\": \"80\",\n    \"severity\": \"WARNING\",\n    \"change_time\": \"2014-08-29T11:19:49Z\",\n    \"change_value\": {\n        \"state\": true,\n        \"threshold\": \"80\",\n        \"memory_util\": 81.2\n    }\n}",
      "section_id": "get-response-alert"
    }
  ]
}
